---
title: "log2"
excerpt: "Compute the base 2 logarithm of the number."
layout: manual
---

Compute the base 2 logarithm of the number.



```js
log2(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> line(end = [log2(100), 0])
  |> line(end = [5, 8])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of log2 0](data:image/png;base64,[encoded data, 69520 characters])


